routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index')->name('home');
Route::get('contact', 'HomeController@contact_page')->name('contact');
Route::get('pricelist', 'HomeController@price_list')->name('pricelist');
Route::group(['prefix' => 'promotion', 'as' => 'promotion.'], function (){
    Route::get('', 'HomeController@promotion')->name('list');
    Route::get('/{id}', ['uses' => 'HomeController@promotionDetail'])->name('detail');
});
Route::group(['prefix' => 'dashboard'], function (){

    // Authentication Routes...
    Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
    Route::post('login', 'Auth\LoginController@login');
    Route::get('logout', 'Auth\LoginController@logout')->name('logout');
    Route::get('service/book', 'Home\BookService\Controllers\BookServiceController@index')->name('service.book');
    Route::post('service/book', 'Home\BookService\Controllers\BookServiceController@store')->name('service.book');

    Route::get('testdrives', 'Home\TestDrive\Controllers\TestDriveController@index')->name('testdrive');
    Route::post('testdrives', 'Home\TestDrive\Controllers\TestDriveController@store')->name('testdrive');

    Route::get('status/{message}', 'HomeController@statusPage')->name('status');

    Route::group(['prefix' => 'product', 'namespace' => 'Home\Product', 'as' => 'product.'], function (){
        Route::get('/all', ['uses' => 'ProductController@allProduct', 'as' => 'all']);
        Route::get('/series/{id}', ['uses' => 'ProductController@series', 'as' => 'series']);
        Route::get('/product/{id}', ['uses' => 'ProductController@product', 'as' => 'product']);
        Route::get('/brochure', ['uses' => 'ProductController@brochure', 'as' => 'brochure']);
    });

    Route::group(['prefix' => 'post', 'namespace' => 'Home\Post', 'as' => 'post.'], function (){
        Route::get('/all', ['uses' => 'PostController@index', 'as' => 'all']);
        Route::get('/{id}', ['uses' => 'PostController@show', 'as' => 'show']);
    });

    Route::group(['prefix' => 'specialDeal', 'namespace' => 'Home\Post', 'as' => 'specialDeal.'], function (){
        Route::get('/all', ['uses' => 'SpecialDealController@index', 'as' => 'all']);
        Route::get('/{id}', ['uses' => 'SpecialDealController@show', 'as' => 'show']);
    });

    Route::group(['middleware' => 'auth', 'namespace' => 'Dashboard', 'as' => 'dashboard.'], function(){
        Route::get('/', ['uses' => 'Controllers\DashboardController@index', 'as' => 'index']);

        Route::group(['namespace' => 'BookService\Controllers', 'prefix' => 'bookService', 'as' => 'service.'], function (){
            Route::get('/', ['uses' => 'BookServiceController@index', 'as' => 'index']);
            Route::get('/{id}', ['uses' => 'BookServiceController@spec', 'as' => 'index.spec']);
            Route::get('/{id}/detail', ['uses' => 'BookServiceController@detail', 'as' => 'detail']);
        });

        Route::group(['namespace' => 'CarModel\Controllers', 'prefix' => 'model', 'as' => 'model.'], function (){
            Route::get('/', ['uses' => 'CarModelController@index', 'as' => 'index']);
            Route::get('/create', ['uses' => 'CarModelController@create', 'as' => 'create']);
            Route::post('/store', ['uses' => 'CarModelController@store', 'as' => 'store']);
            Route::get('/edit/{id}', ['uses' => 'CarModelController@edit', 'as' => 'edit']);
            Route::post('/update', ['uses' => 'CarModelController@update', 'as' => 'update']);
            Route::get('/delete/{id}', ['uses' => 'CarModelController@destroy', 'as' => 'delete']);
        });

        Route::group(['namespace' => 'News\Controllers', 'prefix' => 'news', 'as' => 'news.'], function (){
            Route::get('/', ['uses' => 'NewsController@index', 'as' => 'index']);
            Route::get('/create', ['uses' => 'NewsController@create', 'as' => 'create']);
            Route::post('/store', ['uses' => 'NewsController@store', 'as' => 'store']);
            Route::get('/edit/{id}', ['uses' => 'NewsController@edit', 'as' => 'edit']);
            Route::post('/update', ['uses' => 'NewsController@update', 'as' => 'update']);
            Route::get('/delete/{id}', ['uses' => 'NewsController@destroy', 'as' => 'delete']);
        });

        Route::group(['namespace' => 'Promotion\Controllers', 'prefix' => 'promotion', 'as' => 'promotion.'], function (){
            Route::get('/', ['uses' => 'PromotionController@index', 'as' => 'index']);
            Route::get('/create', ['uses' => 'PromotionController@create', 'as' => 'create']);
            Route::post('/store', ['uses' => 'PromotionController@store', 'as' => 'store']);
            Route::get('/edit/{id}', ['uses' => 'PromotionController@edit', 'as' => 'edit']);
            Route::post('/update', ['uses' => 'PromotionController@update', 'as' => 'update']);
            Route::get('/delete/{id}', ['uses' => 'PromotionController@destroy', 'as' => 'delete']);
        });

        Route::group(['namespace' => 'Lead\Controllers', 'prefix' => 'lead', 'as' => 'lead.'], function (){
            Route::get('/', ['uses' => 'LeadController@index', 'as' => 'index']);
            Route::get('/create', ['uses' => 'LeadController@create', 'as' => 'create']);
            Route::post('/store', ['uses' => 'LeadController@store', 'as' => 'store']);
            Route::get('/edit/{id}', ['uses' => 'LeadController@edit', 'as' => 'edit']);
            Route::post('/update', ['uses' => 'LeadController@update', 'as' => 'update']);
            Route::get('/delete/{id}', ['uses' => 'LeadController@destroy', 'as' => 'delete']);
            Route::get('/submitted/{id}', ['uses' => 'LeadController@submit', 'as' => 'form']);
        });

        Route::group(['namespace' => 'Page\Controllers', 'prefix' => 'page', 'as' => 'page.'], function (){
            Route::get('/', ['uses' => 'PageController@index', 'as' => 'index']);
            Route::get('/create', ['uses' => 'PageController@create', 'as' => 'create']);
            Route::post('/store', ['uses' => 'PageController@store', 'as' => 'store']);
            Route::get('/edit/{id}', ['uses' => 'PageController@edit', 'as' => 'edit']);
            Route::post('/update', ['uses' => 'PageController@update', 'as' => 'update']);
            Route::get('/delete/{id}', ['uses' => 'PageController@destroy', 'as' => 'delete']);
        });

        Route::group(['namespace' => 'Series\Controllers', 'prefix' => 'series', 'as' => 'series.'], function (){
            Route::get('/', ['uses' => 'SeriesController@index', 'as' => 'index']);
            Route::post('/', ['uses' => 'SeriesController@store', 'as' => 'store']);
            Route::get('/{id}', ['uses' => 'SeriesController@edit', 'as' => 'edit']);
            Route::post('/update', ['uses' => 'SeriesController@update', 'as' => 'update']);
            Route::get('/{id}/delete', ['uses' => 'SeriesController@destroy', 'as' => 'delete']);
        });

        Route::group(['namespace' => 'TestDrive\Controllers', 'prefix' => 'testDrive', 'as' => 'testDrive.'], function (){
            Route::get('/', ['uses' => 'TestDriveController@index', 'as' => 'index']);
            Route::get('/{id}', ['uses' => 'TestDriveController@detail', 'as' => 'detail']);
            Route::get('/approve/{id}/{type}', ['uses' => 'TestDriveController@approve', 'as' => 'approve']);
        });
    });
});

Route::get('/home', function (){
    return redirect()->route('home');
});

app/Promotion.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Promotion extends Model
{
    //
}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

resources/views/dashboard/bookService/detail.blade.php
@extends('layouts.admin')

@section('meta')

@endsection

@section('harder')

@endsection

@section('content')
    <div class="container">

        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="btn-group pull-right">
                        <ol class="breadcrumb hide-phone p-0 m-0">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard.index') }}">BMW Performance</a></li>
                            <li class="breadcrumb-item active">Test Drive</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Book Service</h4>
                </div>
            </div>
        </div>
        <!-- end page title end breadcrumb -->


        <div class="row">
            <div class="col-md-12">
                <div class="card-box table-responsive">
                    @if($book)
                        <h4 class="text-dark header-title m-t-0">{{ $book->created_at }}</h4>
                        <hr>
                        <form class="form-horizontal" role="form" method="post" action="#" enctype="multipart/form-data">
                            {{ csrf_field() }}
                            <div class="form-group row">
                                <label class="col-2 col-form-label">Name</label>
                                <div class="col-10">
                                    <input type="text" name="name" class="form-control" value="{{ $book->first_name.' '.$book->last_name }}" disabled>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-2 col-form-label">E-mail</label>
                                <div class="col-10">
                                    <input type="email" name="email" class="form-control" value="{{ $book->email }}" disabled>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-2 col-form-label">Phone</label>
                                <div class="col-10">
                                    <input type="text" name="phone" class="form-control" value="{{ $book->phone }}" disabled>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-2 col-form-label">Service</label>
                                <div class="col-10">
                                    <input type="text" name="services" id="services" class="form-control" value="" disabled>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-2 col-form-label">Book Time</label>
                                <div class="col-10">
                                    <input type="text" name="services" id="services" class="form-control" value="{{ $book->book_time }}" disabled>
                                </div>
                            </div>
                            <hr>

                        </form>


                    @else
                        <h4 class="text-dark header-title m-t-0">Test Drive not found.</h4>
                    @endif
                </div>
            </div>
        </div>


    </div> <!-- end container -->
@endsection

@section('script')
    <script>
        var mes = "";
        var service = JSON.parse("{{ $book->services }}");
        <?php
                $this_service = json_decode($book->services);
                ?>
            @foreach($services as $service)
                @foreach($this_service as $t)
                    mes+= "{{ $t==$service->id?$service->name.', ':'' }}";
                @endforeach
            @endforeach


        $('#services').val(mes);
    </script>
@endsection

resources/views/dashboard/bookService/index.blade.php
@extends('layouts.admin')

@section('meta')

@endsection

@section('harder')

@endsection

@section('content')
    <div class="container">

        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="btn-group pull-right">
                        <ol class="breadcrumb hide-phone p-0 m-0">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard.index') }}">BMW Performance</a></li>
                            <li class="breadcrumb-item active">Test Drive</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Book Service</h4>
                </div>
            </div>
        </div>
        <!-- end page title end breadcrumb -->


        <div class="row">
            <div class="col-md-12">
                <div class="card-box table-responsive">

                    <ul class="nav nav-tabs navtab-bg nav-justified">
                       <select class="custom-select mt-2 mb-2" onchange="location = this.value;">
                           <option value="{{ route('dashboard.service.index.spec',['id'=>0]) }}" >
                               ทุกบริการ
                           </option>
                           @foreach($services as $service)
                               <option value="{{ route('dashboard.service.index.spec',['id'=>$service->id]) }}" {{ $id==$service->id?'selected':'' }}>
                                   {{ $service->name }}
                               </option>
                           @endforeach
                       </select>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active show" id="home1">
                            <table id="datatable" class="table table-bordered">
                                <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Date</th>
                                    <th>detail</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($books as $book)
                                    <tr>
                                        <td>
                                            {{ $book->first_name." ".$book->last_name }}
                                        </td>
                                        <td>
                                            {{ $book->created_at }}
                                        </td>
                                        <td>
                                            <a href="{{ route('dashboard.service.detail',['id'=>$book->id]) }}" class="btn btn-info waves-effect waves-light">detail</a>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div> <!-- end container -->
@endsection

@section('script')

@endsection

resources/views/dashboard/product/model.blade.php
@extends('layouts.admin')

@section('meta')

@endsection

@section('harder')
    <!-- DataTables -->
    <link href="{{ asset('assets/plugins/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/plugins/datatables/buttons.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- Responsive datatable examples -->
    <link href="{{ asset('assets/plugins/datatables/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')
    <div class="container">

        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="btn-group pull-right">
                        <ol class="breadcrumb hide-phone p-0 m-0">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard.index') }}">BMW Performance</a></li>
                            <li class="breadcrumb-item"><a href="">Product</a></li>
                            <li class="breadcrumb-item active">Model</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Model</h4>
                </div>
            </div>
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row" style="margin-bottom: 10px;">
            <div class="col-lg-12">
                <a href="{{ route('dashboard.model.create') }}" class="btn btn-default">New Model</a>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <div class="tabs-vertical-env">
                    <ul class="nav tabs-vertical">
                        @foreach($series as $index => $item)
                            <li class="nav-item">
                                <a href="#v-{{ str_replace(' ','', $item->name) }}" data-toggle="tab" aria-expanded="true" class="nav-link {{ ($index == 0)? 'active' : '' }}">
                                    {{ $item->name }}
                                </a>
                            </li>
                        @endforeach
                    </ul>

                    <div class="tab-content" style="width: 100%;">
                        @foreach($series as $index => $item)
                            <div class="tab-pane  {{ ($index == 0)? 'active' : '' }}" id="v-{{ str_replace(' ','', $item->name) }}" aria-expanded="true" >
                                <div class="row">
                                    <div class="col-md-12 table-responsive">
                                        <h4>{{ $item->name }}</h4>
                                        <br>

                                        <table id="datatable-{{ str_replace(' ','', $item->name) }}" class="table table-bordered">
                                            <thead>
                                            <tr>
                                                <th>Name</th>
                                                <th>Cover</th>
                                                <th>Tools</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($models as $model)
                                                @if($model->series_id == $item->id)
                                                    <tr>
                                                        <td>
                                                            {{ $model->title }}
                                                        </td>
                                                        <td>
                                                            <img src="{{ asset($model->cover_image) }}" alt="" width="150px">
                                                        </td>
                                                        <td>
                                                            <a href="{{ route('dashboard.model.edit', ['id'=> $model->id]) }}" class="btn btn-default">Edit</a>
                                                            <a href="{{ route('dashboard.model.delete', ['id' => $model->id]) }}" class="btn btn-danger">Delete</a>
                                                        </td>
                                                    </tr>
                                                @endif
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>

        </div>


    </div> <!-- end container -->
@endsection

@section('script')
    <!-- Required datatable js -->
    <script src="{{ asset('assets/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/dataTables.bootstrap4.min.js') }}"></script>
    <!-- Buttons examples -->
    <script src="{{ asset('assets/plugins/datatables/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/pdfmake.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.print.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.colVis.min.js') }}"></script>
    <!-- Responsive examples -->
    <script src="{{ asset('assets/plugins/datatables/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/responsive.bootstrap4.min.js') }}"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            @foreach($series as $index => $item)
                $('#datatable-{{ str_replace(' ','', $item->name) }}').DataTable();
            @endforeach
        });
    </script>
@endsection

resources/views/dashboard/product/series.blade.php
@extends('layouts.admin')

@section('meta')

@endsection

@section('harder')
    <!-- DataTables -->
    <link href="{{ asset('assets/plugins/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/plugins/datatables/buttons.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- Responsive datatable examples -->
    <link href="{{ asset('assets/plugins/datatables/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')
    <div class="container">

        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="btn-group pull-right">
                        <ol class="breadcrumb hide-phone p-0 m-0">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard.index') }}">BMW Performance</a></li>
                            <li class="breadcrumb-item"><a href="">Product</a></li>
                            <li class="breadcrumb-item active">Series</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Series</h4>
                </div>
            </div>
        </div>
        <!-- end page title end breadcrumb -->


        <div class="row">
            <div class="col-md-12">
                <div class="card-box">
                    <h4 class="text-dark header-title m-t-0">Series Form</h4>
                    <br>
                    <form class="form-horizontal" role="form" method="post" action="{{ route('dashboard.series.store') }}" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        <input type="hidden" value="{{ (isset($temp))? $temp->id : ''  }}">
                        <div class="form-group row">
                            <label class="col-2 col-form-label">Name</label>
                            <div class="col-10">
                                <input type="text" name="name" class="form-control" value="{{ (isset($temp))? $temp->name : ''  }}" placeholder="Series name" required>
                                @if ($errors->has('name'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">Cover</label>
                            <div class="col-10">
                                <input type="file" class="filestyle" name="cover" data-placeholder="Series cover" id="filestyle-1" tabindex="-1" style="position: absolute; clip: rect(0px, 0px, 0px, 0px);">
                                @if ($errors->has('cover'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('cover') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">Cover2</label>
                            <div class="col-10">
                                <input type="file" class="filestyle" name="cover2" data-placeholder="Series cover 2" id="filestyle-2" tabindex="-1" style="position: absolute; clip: rect(0px, 0px, 0px, 0px);">
                                @if ($errors->has('cover2'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('cover2') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label"></label>
                            <div class="col-10">
                                <button type="submit" class="btn btn-success">Save</button>
                                <a href="{{ route('dashboard.series.index') }}" class="btn btn-warning">Cancel</a>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
            <div class="col-md-12">
                <div class="card-box table-responsive">
                    <h4 class="text-dark header-title m-t-0">Series</h4>
                    <br>
                    <table id="datatable" class="table table-bordered">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Cover</th>
                            <th>Cover 2</th>
                            <th>Tools</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($series as $item)
                            <tr>
                                <td>
                                    {{ $item->id }}
                                </td>
                                <td>
                                    {{ $item->name }}
                                </td>
                                <td>
                                    <img src="{{ asset($item->cover) }}" alt="" width="150px">
                                </td>
                                <td>
                                    <img src="{{ asset($item->cover2) }}" alt="" width="150px">
                                </td>
                                <td>
                                    <a href="{{ route('dashboard.series.edit', ['id'=> $item->id]) }}" class="btn btn-default">Edit</a>
                                    <a href="{{ route('dashboard.series.delete', ['id' => $item->id]) }}" class="btn btn-danger">Delete</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>


    </div> <!-- end container -->
@endsection

@section('script')
    <!-- Required datatable js -->
    <script src="{{ asset('assets/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/dataTables.bootstrap4.min.js') }}"></script>
    <!-- Buttons examples -->
    <script src="{{ asset('assets/plugins/datatables/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/pdfmake.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.print.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/buttons.colVis.min.js') }}"></script>
    <!-- Responsive examples -->
    <script src="{{ asset('assets/plugins/datatables/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatables/responsive.bootstrap4.min.js') }}"></script>

    <script src="{{ asset('assets/plugins/bootstrap-filestyle/js/bootstrap-filestyle.min.js') }}" type="text/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            $('#datatable').DataTable();

        });
    </script>
@endsection

resources/views/home/status/index.blade.php
@extends('layouts.app')
@section('custom-style')
    <style>
        .message-center {
            text-align: center;
        }
    </style>
@endsection
@section('content')

    <div class="container message-center">
        {{ $message }}
    </div>
@endsection
@section('custom-script')
    <script>
    </script>
@endsection